[Importation Partie] Personnages

Ce forum est consacré à l'extension de BG1:EE, sortie le 31 mars 2016, dont l'action se situe après la chute de Sarevok !
Disponible en anglais uniquement.
Répondre
Avatar du membre
korvald
 
Ours brun
Messages : 304
Enregistré le : dim. 14 mai 2017, 08:21
Statut : Hors ligne

[Importation Partie] Personnages

Message par korvald »

Bonjour

Dans ma partie actuelle j'ai installé un composant transformant Dynathéir en ensorceleuse pour davantage de RP... Cela posera-t-il problème lors de l'importation?
Et si je jumelle Imoen dans BGIee cela posera-t-il soucis?
Merci d'avance
Avatar du membre
LeLouce
 
Loup noir
Messages : 267
Enregistré le : lun. 04 juil. 2011, 15:47
Statut : Hors ligne

Message par LeLouce »

Est-ce que tu joues juste à BG1EE avec quelques mods, ou est-ce que tu as fais une installation EET?

À savoir qu'il y a deux façons de passer à SOD depuis BG1EE, la transition automatique ou l'importation.

Si tu fais une importation manuelle depuis le menu nouvelle partie de SOD, je n'en ai aucune idée.

En revanche, si tu finis BG1EE, juste après avoir vaincu le boss final, normalement tu as une transition automatique vers SOD (cela fait très longtemps que je n'ai pas joué sans EET sur PC donc j'ai un doute, mais je pense que oui, en tout cas sur console c'est le cas). En cas de transition automatique, tout reste comme à la fin de BG1. Donc Dynaheir sera bien une ensorceleuse, quant à Imoen elle ne sera pas jouable de toute façon donc peu importe si tu la jumeles ou pas. La seule différence, c'est que si tu joues avec EET, tes choix concernant Imoen resteront dans BG2.
Avatar du membre
korvald
 
Ours brun
Messages : 304
Enregistré le : dim. 14 mai 2017, 08:21
Statut : Hors ligne

Message par korvald »

LeLouce a écrit :Est-ce que tu joues juste à BG1EE avec quelques mods, ou est-ce que tu as fais une installation EET?

À savoir qu'il y a deux façons de passer à SOD depuis BG1EE, la transition automatique ou l'importation.

Si tu fais une importation manuelle depuis le menu nouvelle partie de SOD, je n'en ai aucune idée.

En revanche, si tu finis BG1EE, juste après avoir vaincu le boss final, normalement tu as une transition automatique vers SOD (cela fait très longtemps que je n'ai pas joué sans EET sur PC donc j'ai un doute, mais je pense que oui, en tout cas sur console c'est le cas). En cas de transition automatique, tout reste comme à la fin de BG1. Donc Dynaheir sera bien une ensorceleuse, quant à Imoen elle ne sera pas jouable de toute façon donc peu importe si tu la jumeles ou pas. La seule différence, c'est que si tu joues avec EET, tes choix concernant Imoen resteront dans BG2.
Je joue à BG1EE avec quelques mods mais je n'ai pas encore installé Dragonspear sur mon pc... J'attends justement à cause des problèmes de comptabilité avec ces mods là... D'ailleurs peut-il y avoir des bugs?
Avatar du membre
jazira
 
Loup effrayant
Messages : 727
Enregistré le : mar. 28 févr. 2012, 06:18
Localisation : Gironde (33)
Statut : Hors ligne

Message par jazira »

korvald a écrit :Je joue à BG1EE avec quelques mods mais je n'ai pas encore installé Dragonspear sur mon pc... J'attends justement à cause des problèmes de comptabilité avec ces mods là... D'ailleurs peut-il y avoir des bugs?
Effectivement il y a de forte chance que ta sauvegarde avec Dynaheir en sorcière, soit corrompue si tu l'importe sur SOD qui considère cette dernière comme une invocatrice.

Je suppose que tu utilise le composant "0181 : Make Dynaheir sorceress" de "NPCs Enhanced for everyone", je me trompe ?

Sur le readme du mod, partie compatibilité, il est précisé :
This is designed to work with any Infinity Engine game on a variant of the BG2 engine that someone might purchase and play today, in 2015.
Alors il se peut que :
1) Tu puisse également installer ce mod sur SOD.
2) Si 1) ne fonctionne pas, utiliser "Modmerge" que tu trouvera ici : https://github.com/Argent77/A7-DlcMerger, si je ne dis pas de bêtise modmerge fusionne BGEE & SoD, ce qui te permet d'installer des mod sur BGEE qui prendront également effet à SoD.
3) Et je te recommande grandement cette solution, à la fois parce-que je suis sûr et certain que ça marche ainsi que ton immersion et ton confort de jeu n'en sera qu'amélioré, est d'installer EET (Enhanced Edition Trilogy), ce mod te permet de jouer à BGEE, SoD et BG2EE d'une seul traite, avec un seul dossier de jeu, avec les mêmes mods actif. Tu trouvera "EET" ici : https://github.com/K4thos/EET/releases
4) Importer et remplacer Dynhaheir de SoD avec ta Dynaheir de BGEE avec EE Keeper : https://sourceforge.net/projects/eekeep ... p/download

Installer de nombreux mods peut s’avérer compliqué c'est pourquoi je te suggère également les outils "Project Infinity" ou encore "EE/EET Mod Install Tool" bien que ce dernier soit controversé. (Personnellement j'utilise EE/EET Mod Instal Tool") : https://forums.beamdog.com/discussion/7 ... ublic-beta / https://baldursextendedworld.com/Install-Tool/
Avatar du membre
LeLouce
 
Loup noir
Messages : 267
Enregistré le : lun. 04 juil. 2011, 15:47
Statut : Hors ligne

Message par LeLouce »

À noter que si tu télécharges SOD, celui-ci contient BG1EE par défaut. Donc à partir de là il est beaucoup plus simple de jouer à BG1EE en passant directement par SOD qui gère du coup automatiquement la transition, et l'installation des mods BG1EE fonctionne directement dans son répertoire de la même façon qu'avant. Il est devenu inutile d'avoir à la fois BG1EE et SOD en même temps, étant donné que SOD contient BG1, rendant toute importation inutile.

Si tu tiens absolument à garder ta sauvegarde, alors il te faudra effectivement faire une importation manuelle, mais il se peut effectivement qu'il y ait des données corrompues. À ce moment là il te faudrait importer uniquement ton personnage, en lui mettant dans son inventaire tout ce que tu veux absolument garder pour tes compagnons, mais ça ne sera quand même pas terrible.

Si réellement tu comptes jouer à SOD et ne pas avoir de souci, je te conseille simplement de recommencer. De télécharger SOD, d'installer les mods que tu veux directement dessus et de passer par là pour faire BG1 + SOD tu éviteras bien des complications.

Je rejoins Jazira sur le fait que la meilleure des solutions est d'installer EET, et de n'avoir qu'un seul dossier pour tous les jeux jusqu'à TOB, et tes compagnons garderont toutes leurs classes et stats tout du long. J'utilise aussi le EE mod setup tool qui est simple d'utilisation et a toujours très bien fonctionné pour moi.
Avatar du membre
korvald
 
Ours brun
Messages : 304
Enregistré le : dim. 14 mai 2017, 08:21
Statut : Hors ligne

Message par korvald »

J'ai installé comme mod
bg1npc
cdportrait
cdtweak
stratagems (pour les sorts de druide et prêtres de Icewind Dale)
level1npc
et le truc avec les 12 mini quêtes

J'ai modifié Dynatheir avec level1npc mais bg1npc j'ai installé les caracs et les portraits du 2 pour Jaheira, Minsc, Edwin, Viconia et Imoen
Quand j'ai acheté le jeu ça a corrompu ma sauvegarde, j'ai dû tout desinstaller et réinstaller...

Pour des raisons techniques, je compte jumelé Imoen niveau 8 et non niveau 7 car en fait je jumelle mon perso en voleur) et il doit y avoir une continuation de service niveaux voleurs... Mon perso va passer niv7 à 64 000 donc je compte jumeler Imoen niveau 8 à 70 000. A cette fin j'ai supprimé la limite d'xp... Ma précédente partie j'avais fait pareil et mon perso était environ à 218k...


Du coup ma sauvegarde va être corrompue?
EET.jpg
cdtweak n'est pas compatible???
Fichiers joints
EET.jpg
Avatar du membre
LeLouce
 
Loup noir
Messages : 267
Enregistré le : lun. 04 juil. 2011, 15:47
Statut : Hors ligne

Message par LeLouce »

Je n'en sais rien, il y a toujours risque de corruption quand on s'amuse à changer les installations, transférer les sauvegardes etc. Moi je préfère perdre ma sauvegarde et relancer un installation clean quitte à tout recommencer, au moins je suis sûr de pas avoir de souci, en plus BG1 se fait super vite.

Et si tu n'arrives pas à installer un mod utilise le ee mod setup tool qui télécharge et installe les mods à ta place.
Avatar du membre
korvald
 
Ours brun
Messages : 304
Enregistré le : dim. 14 mai 2017, 08:21
Statut : Hors ligne

Message par korvald »

J'ai une erreur lorsque je veux installer BG EET... Que dois-je faire?
Le fichier joint erreur BG EET.jpg n’est plus disponible.
Fichiers joints
erreur BG EET.jpg
Avatar du membre
Vel Cheran
Aventurier
Momie majeure
Messages : 3217
Enregistré le : sam. 08 déc. 2007, 18:14
Statut : Hors ligne

Message par Vel Cheran »

Je ne suis pas certain que Level1NPC soit compatible avec les versions EE, en tous cas ils ne parlent pas des EE dans le readme.
En RP, je joue Séraphine Pierrejoyeuse, dont la couleur est : #D0C07A ainsi que Frère Jordin : #FF9966
Et, il y a longtemps, j'incarnais Vel'Cheran.
Venez lire nos aventures dans l'univers d'Ambre ! :dance4:
Avatar du membre
korvald
 
Ours brun
Messages : 304
Enregistré le : dim. 14 mai 2017, 08:21
Statut : Hors ligne

Message par korvald »

Vel Cheran a écrit :Je ne suis pas certain que Level1NPC soit compatible avec les versions EE, en tous cas ils ne parlent pas des EE dans le readme.
J'ai tout desinstallé et tout réinstallé... J'ai installé les mods via le tool par contre, je ne parviens pas à installer le BG EET que dois-je faire?
Avatar du membre
LeLouce
 
Loup noir
Messages : 267
Enregistré le : lun. 04 juil. 2011, 15:47
Statut : Hors ligne

Message par LeLouce »

Il y a un équivalent en mieux à level1NPC dans la dernière version de Strategems mais la dernière update la fait parfois buguer selon les installations, je ne sais pas si ça a été corrigé mais si oui c'est le top du top.

Est-ce que tu as bien lu les explications du programme, et tu entends quoi par "je ne parviens pas à installer EET"? Le programme t'informe d'une incompatibilité lors du choix des mods, il ne le télécharge pas, ou il plante pendant l'installation automatique?
Avatar du membre
korvald
 
Ours brun
Messages : 304
Enregistré le : dim. 14 mai 2017, 08:21
Statut : Hors ligne

Message par korvald »

LeLouce a écrit :Il y a un équivalent en mieux à level1NPC dans la dernière version de Strategems mais la dernière update la fait parfois buguer selon les installations, je ne sais pas si ça a été corrigé mais si oui c'est le top du top.

Est-ce que tu as bien lu les explications du programme, et tu entends quoi par "je ne parviens pas à installer EET"? Le programme t'informe d'une incompatibilité lors du choix des mods, il ne le télécharge pas, ou il plante pendant l'installation automatique?
En fait y a aucun mod quasi compatible avec BG EET...
Si j'utilise EE-Mod-Setup-master, les mod proposés me permettent-ils d'enchainer avec Dragonspear?
Principalement je souhaiterai avoir Dynathéir en sorcière, les sorts de prêtres et druide d'icewind dale, et j'aimais bien le mod qui proposait un portrait à tous les personnages, du coup ce n'est pas possible?
Les mods installés avec EE/EET Mod Instal Tool sont-ils compatibles avec Dragonspear??
Avatar du membre
LeLouce
 
Loup noir
Messages : 267
Enregistré le : lun. 04 juil. 2011, 15:47
Statut : Hors ligne

Message par LeLouce »

Je ne comprends plus rien à ce que tu dis. Déjà le "master" fait référence au dossier principal qui contient le programme lors du téléchargement, pas au programme.

Ensuite, EET a BESOIN de SOD pour fonctionner, donc tous les mods compatibles EET (c'est à dire 99% des mods des versions EE) sont forcément compatibles avec SOD.
EET est un mod qui fusionne BG1EE + SOD avec BG2EE + TOB dans un seul dossier (celui de BG2) le but étant justement d'assurer une continuité parfaite avec des transitions automatiques.

Tu télécharges le EE mod setup tool, qui n'est pas un mod mais bien un programme d'installation, donc contrairement aux mods, tu ne le mets surtout pas dans le répertoire de ton jeu. Tu lances ensuite l'exécutable, et ça va te demander quel genre d'installation tu veux, tu choisis donc BG2EE avec EET dans la liste. Ensuite tu inscris le chemin de tes répertoires de BG1EE (plus précisément celui de SOD, qui contient forcément BG1, tu n'as pas besoin de garder le dossier de BG1 seul) et BG2EE, puis tu accèdes à la liste des mods pris en charge par le programme.

Là tu coches tous les mods et composants que tu souhaites. Si un message d'erreur s'affiche, c'est juste pour te mettre en garde que le mod est déconseillé pour les débutants ou qqch de ce genre mais tu peux désactiver cette mise en garde et choisir tout ce que tu veux. Une fois que tu es sûr de tes choix, tu retournes sur la page précédente. Dans le cas où deux mods sont incompatibles entre eux, le programme te prévient, et tu devras en décocher un des deux.

Une fois que ça c'est fait, tu as une touche qui vérifie que les liens pour télécharger les mods sont à jour. Si oui, tu lances l'installation, et le programme va s'occuper tout seul de télécharger tous les mods que tu as choisis, et de les mettre directement dans les bons dossier. À l'issue, une fois les mods téléchargés et décompressés, il installera tous les mods tout seul dans le bon ordre et tu as juste à attendre qu'il ait fini sans rien faire.

En bref, une fois EET installé, si tu as un mod pour transformer Dynaheir en sorcière, oui elle le sera encore dans SOD, les sort d'Icewind dale seront là jusqu'à TOB etc. EET transforme tous les BG en un seul et même gros jeu donc tous les mods que tu installes sont effectifs du début de BG1 jusqu'à la fin de TOB.
Avatar du membre
korvald
 
Ours brun
Messages : 304
Enregistré le : dim. 14 mai 2017, 08:21
Statut : Hors ligne

Message par korvald »

LeLouce a écrit :Je ne comprends plus rien à ce que tu dis. Déjà le "master" fait référence au dossier principal qui contient le programme lors du téléchargement, pas au programme.

Ensuite, EET a BESOIN de SOD pour fonctionner, donc tous les mods compatibles EET (c'est à dire 99% des mods des versions EE) sont forcément compatibles avec SOD.
EET est un mod qui fusionne BG1EE + SOD avec BG2EE + TOB dans un seul dossier (celui de BG2) le but étant justement d'assurer une continuité parfaite avec des transitions automatiques.

Tu télécharges le EE mod setup tool, qui n'est pas un mod mais bien un programme d'installation, donc contrairement aux mods, tu ne le mets surtout pas dans le répertoire de ton jeu. Tu lances ensuite l'exécutable, et ça va te demander quel genre d'installation tu veux, tu choisis donc BG2EE avec EET dans la liste. Ensuite tu inscris le chemin de tes répertoires de BG1EE (plus précisément celui de SOD, qui contient forcément BG1, tu n'as pas besoin de garder le dossier de BG1 seul) et BG2EE, puis tu accèdes à la liste des mods pris en charge par le programme.

Là tu coches tous les mods et composants que tu souhaites. Si un message d'erreur s'affiche, c'est juste pour te mettre en garde que le mod est déconseillé pour les débutants ou qqch de ce genre mais tu peux désactiver cette mise en garde et choisir tout ce que tu veux. Une fois que tu es sûr de tes choix, tu retournes sur la page précédente. Dans le cas où deux mods sont incompatibles entre eux, le programme te prévient, et tu devras en décocher un des deux.

Une fois que ça c'est fait, tu as une touche qui vérifie que les liens pour télécharger les mods sont à jour. Si oui, tu lances l'installation, et le programme va s'occuper tout seul de télécharger tous les mods que tu as choisis, et de les mettre directement dans les bons dossier. À l'issue, une fois les mods téléchargés et décompressés, il installera tous les mods tout seul dans le bon ordre et tu as juste à attendre qu'il ait fini sans rien faire.

En bref, une fois EET installé, si tu as un mod pour transformer Dynaheir en sorcière, oui elle le sera encore dans SOD, les sort d'Icewind dale seront là jusqu'à TOB etc. EET transforme tous les BG en un seul et même gros jeu donc tous les mods que tu installes sont effectifs du début de BG1 jusqu'à la fin de TOB.
En fait j'y suis parvenu mais par contre, mon jeu est à moitié en anglais notamment le menu... Que dois-je faire?
Avatar du membre
LeLouce
 
Loup noir
Messages : 267
Enregistré le : lun. 04 juil. 2011, 15:47
Statut : Hors ligne

Message par LeLouce »

Je ne sais pas moi je ne joue qu'en anglais, ça doit venir d'un mod qui n'est pas traduit. Tu es retourné dans les options pour tenter de changer la langue?
Avatar du membre
korvald
 
Ours brun
Messages : 304
Enregistré le : dim. 14 mai 2017, 08:21
Statut : Hors ligne

Message par korvald »

J'ai tout desinstallé et je suis en train de réinstaller...
Le fichier joint mod setup.jpg n’est plus disponible.
ça a buggé apparemment dans l'installation de ce composant... Que dois-je faire?
quel est la différence entre ça https://github.com/Isaya/bg2eetrans/...ter/bg2eetrans et le lien qu'on trouve dans BGEE traduction?
Fichiers joints
mod setup.jpg
Avatar du membre
LeLouce
 
Loup noir
Messages : 267
Enregistré le : lun. 04 juil. 2011, 15:47
Statut : Hors ligne

Message par LeLouce »

Ton lien ne fonctionne pas. Quoi qu'il en soit je viens de me rappeler un truc tout bête mais je crois que sur PC BG2 n'a toujours pas été traduit donc c'est normal si le jeu est en anglais
Avatar du membre
korvald
 
Ours brun
Messages : 304
Enregistré le : dim. 14 mai 2017, 08:21
Statut : Hors ligne

Message par korvald »

LeLouce a écrit :Ton lien ne fonctionne pas. Quoi qu'il en soit je viens de me rappeler un truc tout bête mais je crois que sur PC BG2 n'a toujours pas été traduit donc c'est normal si le jeu est en anglais
A force d'acharnement (et comme c'est très long) j'ai enfin pu installer ETT correctement et fonctionnel! En espérant que cela soit stable!
Répondre

Retourner vers « Siege of Dragonspear »

Qui est en ligne

Utilisateurs parcourant ce forum : Aucun utilisateur enregistré et 0 invité